Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JFileChooserOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator
                              |
                              +--org.netbeans.jemmy.operators.JFileChooserOperator

All Implemented Interfaces:
  Outputable, Timeoutable

public class JFileChooserOperator
extends JComponentOperator
implements Timeoutable, Outputable

Class provides methods to cover main JFileChooser component functionality.

Author:
  Alexandre Iline (alexandre.iline@sun.com)

Inner Class Summary
`static class` | `JFileChooserOperator.JFileChooserFinder` Checks component type.
`static class` | `JFileChooserOperator.JFileChooserJDialogFinder` Allows to find a dialog containing JFileChooser.

Inner classes inherited from class org.netbeans.jemmy.operators.JComponentOperator
`JComponentOperator.JComponentByTipFinder, JComponentOperator.JComponentFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Fields inherited from class org.netbeans.jemmy.operators.JComponentOperator
`TOOLTIP_TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JFileChooserOperator()` Constructor.
`JFileChooserOperator(javax.swing.JFileChooser comp)` Constructor.
`JFileChooserOperator(Operator env)` Constructor.

Method Summary
`boolean` | `accept(java.io.File file)` Maps `JFileChooser.accept(File)` through queue
`void` | `addActionListener(java.awt.event.ActionListener actionListener)` Maps `JFileChooser.addActionListener(ActionListener)` through queue
`void` | `addChoosableFileFilter(javax.swing.filechooser.FileFilter fileFilter)` Maps `JFileChooser.addChoosableFileFilter(FileFilter)` through queue
`void` | `approve()` Pushes approve button.
`void` | `approveSelection()` Maps `JFileChooser.approveSelection()` through queue
`void` | `cancel()` Pushes cancel button.
`void` | `cancelSelection()` Maps `JFileChooser.cancelSelection()` through queue
`void` | `changeToParentDirectory()` Maps `JFileChooser.changeToParentDirectory()` through queue
`boolean` | `checkFileDisplayed(java.lang.String file)` Checks if file is currently displayed in the list.
`boolean` | `checkFileDisplayed(java.lang.String file, boolean ce, boolean cc)` Deprecated. Use checkFileDisplayed(String) or checkFileDisplayed(String, StringComparator)
`boolean` | `checkFileDisplayed(java.lang.String file, Operator.StringComparator comparator)` Checks if file is currently displayed in the list.
`void` | `chooseFile(java.lang.String fileName)` Types file name into text field and pushes approve button.
`void` | `clickOnFile(int index, int clickCount)` Clicks on file in the list.
`void` | `clickOnFile(java.lang.String file)` Clicks 1 time on file in the list.
`void` | `clickOnFile(java.lang.String file, boolean ce, boolean cc)` Deprecated. Use clickOnFile(String) or clickOnFile(String, StringComparator)
`void` | `clickOnFile(java.lang.String file, boolean ce, boolean cc, int clickCount)` Deprecated. Use clickOnFile(String, int) or clickOnFile(String, StringComparator, int)
`void` | `clickOnFile(java.lang.String file, int clickCount)` Clicks on file in the list.
`void` | `clickOnFile(java.lang.String file, Operator.StringComparator comparator)` Clicks on file in the list.
`void` | `clickOnFile(java.lang.String file, Operator.StringComparator comparator, int clickCount)` Clicks on file in the list.
`void` | `ensureFileIsVisible(java.io.File file)` Maps `JFileChooser.ensureFileIsVisible(File)` through queue
`java.io.File` | `enterSubDir(java.lang.String dir)` Enters into subdir curently displayed in the list.
`java.io.File` | `enterSubDir(java.lang.String dir, boolean ce, boolean cc)` Deprecated. Use enterSubDir(String) or enterSubDir(String, StringComparator)
`java.io.File` | `enterSubDir(java.lang.String dir, Operator.StringComparator comparator)` Enters into subdirectory.
`static javax.swing.JFileChooser` | `findJFileChooser()` Searches currently opened JFileChooser.
`static javax.swing.JFileChooser` | `findJFileChooser(java.awt.Container cont)` Searches JFileChooser in container.
`static javax.swing.JDialog` | `findJFileChooserDialog()` Searches currently opened JDilog with JFileChooser inside.
`javax.swing.filechooser.FileFilter` | `getAcceptAllFileFilter()` Maps `JFileChooser.getAcceptAllFileFilter()` through queue
`javax.swing.JComponent` | `getAccessory()` Maps `JFileChooser.getAccessory()` through queue
`javax.swing.JButton` | `getApproveButton()` Returns approve button.
`int` | `getApproveButtonMnemonic()` Maps `JFileChooser.getApproveButtonMnemonic()` through queue
`java.lang.String` | `getApproveButtonText()` Maps `JFileChooser.getApproveButtonText()` through queue
`java.lang.String` | `getApproveButtonToolTipText()` Maps `JFileChooser.getApproveButtonToolTipText()` through queue
`javax.swing.JButton` | `getCancelButton()` Returns cancel button.
`javax.swing.filechooser.FileFilter[]` | `getChoosableFileFilters()` Maps `JFileChooser.getChoosableFileFilters()` through queue
`java.io.File` | `getCurrentDirectory()` Maps `JFileChooser.getCurrentDirectory()` through queue
`java.lang.String` | `getDescription(java.io.File file)` Maps `JFileChooser.getDescription(File)` through queue
`javax.swing.JToggleButton` | `getDetailsToggleButton()` Returns a toggle button being used to switch to detals view.
`java.lang.String` | `getDialogTitle()` Maps `JFileChooser.getDialogTitle()` through queue
`int` | `getDialogType()` Maps `JFileChooser.getDialogType()` through queue
`int` | `getFileCount()` Return count of files currently displayed.
`javax.swing.filechooser.FileFilter` | `getFileFilter()` Maps `JFileChooser.getFileFilter()` through queue
`javax.swing.JList` | `getFileList()` Returns file list.
`java.io.File[]` | `getFiles()` Return files currently displayed.
`int` | `getFileSelectionMode()` Maps `JFileChooser.getFileSelectionMode()` through queue
`javax.swing.filechooser.FileSystemView` | `getFileSystemView()` Maps `JFileChooser.getFileSystemView()` through queue
`javax.swing.JComboBox` | `getFileTypesCombo()` Returns combo box containing file types (lower).
`javax.swing.filechooser.FileView` | `getFileView()` Maps `JFileChooser.getFileView()` through queue
`javax.swing.JButton` | `getHomeButton()` Returns "Home" button.
`javax.swing.Icon` | `getIcon(java.io.File file)` Maps `JFileChooser.getIcon(File)` through queue
`javax.swing.JToggleButton` | `getListToggleButton()` Returns a toggle button being used to switch to list view.
`java.lang.String` | `getName(java.io.File file)` Maps `JFileChooser.getName(File)` through queue
`TestOut` | `getOutput()` Returns print output streams or writers.
`javax.swing.JComboBox` | `getPathCombo()` Returns combo box containing path (upper).
`javax.swing.JTextField` | `getPathField()` Returns field which can be used to type path.
`java.io.File` | `getSelectedFile()` Maps `JFileChooser.getSelectedFile()` through queue
`java.io.File[]` | `getSelectedFiles()` Maps `JFileChooser.getSelectedFiles()` through queue
`Timeouts` | `getTimeouts()` Return current timeouts.
`java.lang.String` | `getTypeDescription(java.io.File file)` Maps `JFileChooser.getTypeDescription(File)` through queue
`javax.swing.plaf.FileChooserUI` | `getUI()` Maps `JFileChooser.getUI()` through queue
`javax.swing.JButton` | `getUpLevelButton()` Returns "Up One Level" button.
`java.io.File` | `goHome()` Pushes "Home" button.
`java.io.File` | `goUpLevel()` Pushes "Up One Level" button.
`boolean` | `isDirectorySelectionEnabled()` Maps `JFileChooser.isDirectorySelectionEnabled()` through queue
`boolean` | `isFileHidingEnabled()` Maps `JFileChooser.isFileHidingEnabled()` through queue
`boolean` | `isFileSelectionEnabled()` Maps `JFileChooser.isFileSelectionEnabled()` through queue
`boolean` | `isMultiSelectionEnabled()` Maps `JFileChooser.isMultiSelectionEnabled()` through queue
`boolean` | `isTraversable(java.io.File file)` Maps `JFileChooser.isTraversable(File)` through queue
`void` | `removeActionListener(java.awt.event.ActionListener actionListener)` Maps `JFileChooser.removeActionListener(ActionListener)` through queue
`boolean` | `removeChoosableFileFilter(javax.swing.filechooser.FileFilter fileFilter)` Maps `JFileChooser.removeChoosableFileFilter(FileFilter)` through queue
`void` | `rescanCurrentDirectory()` Maps `JFileChooser.rescanCurrentDirectory()` through queue
`void` | `resetChoosableFileFilters()` Maps `JFileChooser.resetChoosableFileFilters()` through queue
`void` | `selectFile(java.lang.String file)` Selects a file curently in the list.
`void` | `selectFile(java.lang.String file, boolean ce, boolean cc)` Deprecated. Use selectFile(String) or selectFile(String, StringComparator)
`void` | `selectFile(java.lang.String file, Operator.StringComparator comparator)` Selects a file curently in the list.
`void` | `selectFileType(java.lang.String filter)` Selects file type from the combo box below.
`void` | `selectFileType(java.lang.String filter, boolean ce, boolean cc)` Deprecated. Use selectFileType(String) or selectFileType(String, StringComparator)
`void` | `selectFileType(java.lang.String filter, Operator.StringComparator comparator)` Selects file type from the combo box below.
`void` | `selectPathDirectory(java.lang.String dir)` Selects directory from the combo box above.
`void` | `selectPathDirectory(java.lang.String dir, boolean ce, boolean cc)` Deprecated. Use selectPathDirectory(String) or selectPathDirectory(String, StringComparator)
`void` | `selectPathDirectory(java.lang.String dir, Operator.StringComparator comparator)` Selects directory from the combo box above.
`void` | `setAccessory(javax.swing.JComponent jComponent)` Maps `JFileChooser.setAccessory(JComponent)` through queue
`void` | `setApproveButtonMnemonic(char c)` Maps `JFileChooser.setApproveButtonMnemonic(char)` through queue
`void` | `setApproveButtonMnemonic(int i)` Maps `JFileChooser.setApproveButtonMnemonic(int)` through queue
`void` | `setApproveButtonText(java.lang.String string)` Maps `JFileChooser.setApproveButtonText(String)` through queue
`void` | `setApproveButtonToolTipText(java.lang.String string)` Maps `JFileChooser.setApproveButtonToolTipText(String)` through queue
`void` | `setCurrentDirectory(java.io.File file)` Maps `JFileChooser.setCurrentDirectory(File)` through queue
`void` | `setDialogTitle(java.lang.String string)` Maps `JFileChooser.setDialogTitle(String)` through queue
`void` | `setDialogType(int i)` Maps `JFileChooser.setDialogType(int)` through queue
`void` | `setFileFilter(javax.swing.filechooser.FileFilter fileFilter)` Maps `JFileChooser.setFileFilter(FileFilter)` through queue
`void` | `setFileHidingEnabled(boolean b)` Maps `JFileChooser.setFileHidingEnabled(boolean)` through queue
`void` | `setFileSelectionMode(int i)` Maps `JFileChooser.setFileSelectionMode(int)` through queue
`void` | `setFileSystemView(javax.swing.filechooser.FileSystemView fileSystemView)` Maps `JFileChooser.setFileSystemView(FileSystemView)` through queue
`void` | `setFileView(javax.swing.filechooser.FileView fileView)` Maps `JFileChooser.setFileView(FileView)` through queue
`void` | `setMultiSelectionEnabled(boolean b)` Maps `JFileChooser.setMultiSelectionEnabled(boolean)` through queue
`void` | `setOutput(TestOut out)` Defines print output streams or writers.
`void` | `setSelectedFile(java.io.File file)` Maps `JFileChooser.setSelectedFile(File)` through queue
`void` | `setSelectedFiles(java.io.File[] file)` Maps `JFileChooser.setSelectedFiles(File[])` through queue
`void` | `setTimeouts(Timeouts timeouts)` Defines current timeouts.
`int` | `showDialog(java.awt.Component component, java.lang.String string)` Maps `JFileChooser.showDialog(Component, String)` through queue
`int` | `showOpenDialog(java.awt.Component component)` Maps `JFileChooser.showOpenDialog(Component)` through queue
`int` | `showSaveDialog(java.awt.Component component)` Maps `JFileChooser.showSaveDialog(Component)` through queue
`void` | `waitFileCount(int count)` Waits for the file list to have required number of items.
`void` | `waitFileDisplayed(java.lang.String fileName)` Waits for a file to be displayed in the file list.
`static javax.swing.JFileChooser` | `waitJFileChooser()` Waits currently opened JFileChooser.
`static javax.swing.JFileChooser` | `waitJFileChooser(java.awt.Container cont)` Searches JFileChooser in container.
`static javax.swing.JDialog` | `waitJFileChooserDialog()` Waits currently opened JDilog with JFileChooser inside.

Methods inherited from class org.netbeans.jemmy.operators.JComponentOperator
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, createToolTip, findJComponent, findJComponent, findJComponent, findJComponent, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getAutoscrolls, getBorder, getCenterXForClick, getCenterYForClick, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDump, getInsets, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWindowContainerOperator, grabFocus, isFocusCycleRoot, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, showToolTip, unregisterKeyboardAction, updateUI, waitJComponent, waitJComponent, waitJComponent, waitJComponent, waitToolTip`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, copyEnvironment, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JFileChooserOperator

    public JFileChooserOperator(javax.swing.JFileChooser comp)

  Constructor.
  Parameters:
    `comp` - a component

### JFileChooserOperator

    public JFileChooserOperator(Operator env)

  Constructor. Waits component first. Constructor can be used in complicated cases when output or timeouts should differ from default.
  Parameters:
    `env` - an operator to get environment from.

### JFileChooserOperator

    public JFileChooserOperator()

  Constructor. Waits component first.

Method Detail

### findJFileChooserDialog

    public static javax.swing.JDialog findJFileChooserDialog()

  Searches currently opened JDilog with JFileChooser inside.
  Returns:
    a component instance

### waitJFileChooserDialog

    public static javax.swing.JDialog waitJFileChooserDialog()

  Waits currently opened JDilog with JFileChooser inside.
  Returns:
    a component instance

### findJFileChooser

    public static javax.swing.JFileChooser findJFileChooser(java.awt.Container cont)

  Searches JFileChooser in container.
  Parameters:
    `cont` - a container
  Returns:
    a component instance

### waitJFileChooser

    public static javax.swing.JFileChooser waitJFileChooser(java.awt.Container cont)

  Searches JFileChooser in container.
  Parameters:
    `cont` - a container
  Returns:
    a component instance

### findJFileChooser

    public static javax.swing.JFileChooser findJFileChooser()

  Searches currently opened JFileChooser.
  Returns:
    a component instance

### waitJFileChooser

    public static javax.swing.JFileChooser waitJFileChooser()

  Waits currently opened JFileChooser.
  Returns:
    a component instance

### setTimeouts

    public void setTimeouts(Timeouts timeouts)

  Description copied from interface: `Timeoutable`
  Defines current timeouts.
  Specified by:
    `setTimeouts` in interface `Timeoutable`
  Overrides:
    `setTimeouts` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Parameters:
    `t` - A collection of timeout assignments.
  See Also:
    `Timeoutable.getTimeouts()`

### getTimeouts

    public Timeouts getTimeouts()

  Description copied from interface: `Timeoutable`
  Return current timeouts.
  Specified by:
    `getTimeouts` in interface `Timeoutable`
  Overrides:
    `getTimeouts` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Returns:
    the collection of current timeout assignments.
  See Also:
    `Timeoutable.setTimeouts(org.netbeans.jemmy.Timeouts)`

### setOutput

    public void setOutput(TestOut out)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Overrides:
    `setOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Overrides:
    `getOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### getPathCombo

    public javax.swing.JComboBox getPathCombo()

  Returns combo box containing path (upper).
  Returns:
    JComboBox being used to show directories.

### getFileTypesCombo

    public javax.swing.JComboBox getFileTypesCombo()

  Returns combo box containing file types (lower).
  Returns:
    JComboBox being used to show file types.

### getApproveButton

    public javax.swing.JButton getApproveButton()

  Returns approve button.
  Returns:
    an approve button.

### getCancelButton

    public javax.swing.JButton getCancelButton()

  Returns cancel button.
  Returns:
    a cancel button.

### getHomeButton

    public javax.swing.JButton getHomeButton()

  Returns "Home" button.
  Returns:
    a "home" button.

### getUpLevelButton

    public javax.swing.JButton getUpLevelButton()

  Returns "Up One Level" button.
  Returns:
    a "Up One Level" button.

### getListToggleButton

    public javax.swing.JToggleButton getListToggleButton()

  Returns a toggle button being used to switch to list view.
  Returns:
    a "list mode" button.

### getDetailsToggleButton

    public javax.swing.JToggleButton getDetailsToggleButton()

  Returns a toggle button being used to switch to detals view.
  Returns:
    a "list mode" button.

### getPathField

    public javax.swing.JTextField getPathField()

  Returns field which can be used to type path.
  Returns:
    a text field being used for path typing.

### getFileList

    public javax.swing.JList getFileList()

  Returns file list.
  Returns:
    a list being used to display directory content.

### approve

    public void approve()

  Pushes approve button.

### cancel

    public void cancel()

  Pushes cancel button.

### chooseFile

    public void chooseFile(java.lang.String fileName)

  Types file name into text field and pushes approve button.
  Parameters:
    `fileName` - a file to choose.

### goUpLevel

    public java.io.File goUpLevel()

  Pushes "Up One Level" button.
  Returns:
    new current directory

### goHome

    public java.io.File goHome()

  Pushes "Home" button.
  Returns:
    new current directory

### clickOnFile

    public void clickOnFile(int index,
                            int clickCount)

  Clicks on file in the list.
  Parameters:
    `index` - Ordinal file index.
    `clickCount` - click count

### clickOnFile

    public void clickOnFile(java.lang.String file,
                            Operator.StringComparator comparator,
                            int clickCount)

  Clicks on file in the list.
  Parameters:
    `file` - File name (foo.c). Do not use full path (/tmp/foo.c) here.
    `comparator` - a comparator defining string comparision criteria
    `clickCount` - click count

### clickOnFile

    public void clickOnFile(java.lang.String file,
                            boolean ce,
                            boolean cc,
                            int clickCount)

  Deprecated. Use clickOnFile(String, int) or clickOnFile(String, StringComparator, int)

  Clicks on file in the list.
  Parameters:
    `file` - File name (foo.c). Do not use full path (/tmp/foo.c) here.
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are
    `clickCount` - click count
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### clickOnFile

    public void clickOnFile(java.lang.String file,
                            int clickCount)

  Clicks on file in the list.
  Parameters:
    `file` - File name (foo.c). Do not use full path (/tmp/foo.c) here.
    `clickCount` - click count
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### clickOnFile

    public void clickOnFile(java.lang.String file,
                            Operator.StringComparator comparator)

  Clicks on file in the list.
  Parameters:
    `file` - File name (foo.c). Do not use full path (/tmp/foo.c) here.
    `comparator` - a comparator defining string comparision criteria
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### clickOnFile

    public void clickOnFile(java.lang.String file,
                            boolean ce,
                            boolean cc)

  Deprecated. Use clickOnFile(String) or clickOnFile(String, StringComparator)

  Clicks 1 time on file in the list.
  Parameters:
    `file` - File name (foo.c). Do not use full path (/tmp/foo.c) here.
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are
  See Also:
    `clickOnFile(int, int)`, `Operator.isCaptionEqual(String, String, boolean, boolean)`

### clickOnFile

    public void clickOnFile(java.lang.String file)

  Clicks 1 time on file in the list.
  Parameters:
    `file` - File name (foo.c). Do not use full path (/tmp/foo.c) here.
  See Also:
    `clickOnFile(int, int)`, `Operator.isCaptionEqual(String, String, boolean, boolean)`

### enterSubDir

    public java.io.File enterSubDir(java.lang.String dir,
                                    Operator.StringComparator comparator)

  Enters into subdirectory.
  Parameters:
    `dir` - A directory to enter into.
    `comparator` - a comparator defining string comparision criteria
  Returns:
    new current directory

### enterSubDir

    public java.io.File enterSubDir(java.lang.String dir,
                                    boolean ce,
                                    boolean cc)

  Deprecated. Use enterSubDir(String) or enterSubDir(String, StringComparator)

  Enters into subdir curently displayed in the list.
  Parameters:
    `dir` - Directory name (tmp1). Do not use full path (/tmp/tmp1) here.
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are
  Returns:
    new current directory
  See Also:
    `clickOnFile(int, int)`

### enterSubDir

    public java.io.File enterSubDir(java.lang.String dir)

  Enters into subdir curently displayed in the list.
  Parameters:
    `dir` - Directory name (tmp1). Do not use full path (/tmp/tmp1) here.
  Returns:
    new current directory
  See Also:
    `clickOnFile(int, int)`

### selectFile

    public void selectFile(java.lang.String file,
                           Operator.StringComparator comparator)

  Selects a file curently in the list.
  Parameters:
    `file` - File name (foo.c). Do not use full path (/tmp/foo.c) here.
    `comparator` - a comparator defining string comparision criteria
  See Also:
    `clickOnFile(int, int)`

### selectFile

    public void selectFile(java.lang.String file,
                           boolean ce,
                           boolean cc)

  Deprecated. Use selectFile(String) or selectFile(String, StringComparator)

  Selects a file curently in the list.
  Parameters:
    `file` - File name (foo.c). Do not use full path (/tmp/foo.c) here.
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are
  See Also:
    `clickOnFile(int, int)`

### selectFile

    public void selectFile(java.lang.String file)

  Selects a file curently in the list.
  Parameters:
    `file` - File name (foo.c). Do not use full path (/tmp/foo.c) here.
  See Also:
    `clickOnFile(int, int)`

### selectPathDirectory

    public void selectPathDirectory(java.lang.String dir,
                                    Operator.StringComparator comparator)

  Selects directory from the combo box above.
  Parameters:
    `dir` - Directory name (tmp1). Do not use full path (/tmp/tmp1) here.
    `comparator` - a comparator defining string comparision criteria

### selectPathDirectory

    public void selectPathDirectory(java.lang.String dir,
                                    boolean ce,
                                    boolean cc)

  Deprecated. Use selectPathDirectory(String) or selectPathDirectory(String, StringComparator)

  Selects directory from the combo box above.
  Parameters:
    `dir` - Directory name (tmp1). Do not use full path (/tmp/tmp1) here.
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are

### selectPathDirectory

    public void selectPathDirectory(java.lang.String dir)

  Selects directory from the combo box above.
  Parameters:
    `dir` - Directory name (tmp1). Do not use full path (/tmp/tmp1) here.

### selectFileType

    public void selectFileType(java.lang.String filter,
                               Operator.StringComparator comparator)

  Selects file type from the combo box below.
  Parameters:
    `filter` - a pattern for choosing a file type.
    `comparator` - a comparator defining string comparision criteria

### selectFileType

    public void selectFileType(java.lang.String filter,
                               boolean ce,
                               boolean cc)

  Deprecated. Use selectFileType(String) or selectFileType(String, StringComparator)

  Selects file type from the combo box below.
  Parameters:
    `filter` - a pattern for choosing a file type.
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are

### selectFileType

    public void selectFileType(java.lang.String filter)

  Selects file type from the combo box below.
  Parameters:
    `filter` - a pattern for choosing a file type.

### checkFileDisplayed

    public boolean checkFileDisplayed(java.lang.String file,
                                      Operator.StringComparator comparator)

  Checks if file is currently displayed in the list.
  Parameters:
    `file` - File name (foo.c). Do not use full path (/tmp/foo.c) here.
    `comparator` - a comparator defining string comparision criteria
  Returns:
    true if file is displayed.

### checkFileDisplayed

    public boolean checkFileDisplayed(java.lang.String file,
                                      boolean ce,
                                      boolean cc)

  Deprecated. Use checkFileDisplayed(String) or checkFileDisplayed(String, StringComparator)

  Checks if file is currently displayed in the list.
  Parameters:
    `file` - File name (foo.c). Do not use full path (/tmp/foo.c) here.
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are
  Returns:
    true if file is displayed.

### checkFileDisplayed

    public boolean checkFileDisplayed(java.lang.String file)

  Checks if file is currently displayed in the list.
  Parameters:
    `file` - File name (foo.c). Do not use full path (/tmp/foo.c) here.
  Returns:
    true if file is displayed.

### getFileCount

    public int getFileCount()

  Return count of files currently displayed.
  Returns:
    a number of items in the file list.

### getFiles

    public java.io.File[] getFiles()

  Return files currently displayed.
  Returns:
    an array of items from the file list.

### waitFileCount

    public void waitFileCount(int count)

  Waits for the file list to have required number of items.
  Parameters:
    `count` - Number of files to wait.

### waitFileDisplayed

    public void waitFileDisplayed(java.lang.String fileName)

  Waits for a file to be displayed in the file list.
  Parameters:
    `fileName` - a file to wait.

### accept

    public boolean accept(java.io.File file)

  Maps `JFileChooser.accept(File)` through queue

### addActionListener

    public void addActionListener(java.awt.event.ActionListener actionListener)

  Maps `JFileChooser.addActionListener(ActionListener)` through queue

### addChoosableFileFilter

    public void addChoosableFileFilter(javax.swing.filechooser.FileFilter fileFilter)

  Maps `JFileChooser.addChoosableFileFilter(FileFilter)` through queue

### approveSelection

    public void approveSelection()

  Maps `JFileChooser.approveSelection()` through queue

### cancelSelection

    public void cancelSelection()

  Maps `JFileChooser.cancelSelection()` through queue

### changeToParentDirectory

    public void changeToParentDirectory()

  Maps `JFileChooser.changeToParentDirectory()` through queue

### ensureFileIsVisible

    public void ensureFileIsVisible(java.io.File file)

  Maps `JFileChooser.ensureFileIsVisible(File)` through queue

### getAcceptAllFileFilter

    public javax.swing.filechooser.FileFilter getAcceptAllFileFilter()

  Maps `JFileChooser.getAcceptAllFileFilter()` through queue

### getAccessory

    public javax.swing.JComponent getAccessory()

  Maps `JFileChooser.getAccessory()` through queue

### getApproveButtonMnemonic

    public int getApproveButtonMnemonic()

  Maps `JFileChooser.getApproveButtonMnemonic()` through queue

### getApproveButtonText

    public java.lang.String getApproveButtonText()

  Maps `JFileChooser.getApproveButtonText()` through queue

### getApproveButtonToolTipText

    public java.lang.String getApproveButtonToolTipText()

  Maps `JFileChooser.getApproveButtonToolTipText()` through queue

### getChoosableFileFilters

    public javax.swing.filechooser.FileFilter[] getChoosableFileFilters()

  Maps `JFileChooser.getChoosableFileFilters()` through queue

### getCurrentDirectory

    public java.io.File getCurrentDirectory()

  Maps `JFileChooser.getCurrentDirectory()` through queue

### getDescription

    public java.lang.String getDescription(java.io.File file)

  Maps `JFileChooser.getDescription(File)` through queue

### getDialogTitle

    public java.lang.String getDialogTitle()

  Maps `JFileChooser.getDialogTitle()` through queue

### getDialogType

    public int getDialogType()

  Maps `JFileChooser.getDialogType()` through queue

### getFileFilter

    public javax.swing.filechooser.FileFilter getFileFilter()

  Maps `JFileChooser.getFileFilter()` through queue

### getFileSelectionMode

    public int getFileSelectionMode()

  Maps `JFileChooser.getFileSelectionMode()` through queue

### getFileSystemView

    public javax.swing.filechooser.FileSystemView getFileSystemView()

  Maps `JFileChooser.getFileSystemView()` through queue

### getFileView

    public javax.swing.filechooser.FileView getFileView()

  Maps `JFileChooser.getFileView()` through queue

### getIcon

    public javax.swing.Icon getIcon(java.io.File file)

  Maps `JFileChooser.getIcon(File)` through queue

### getName

    public java.lang.String getName(java.io.File file)

  Maps `JFileChooser.getName(File)` through queue

### getSelectedFile

    public java.io.File getSelectedFile()

  Maps `JFileChooser.getSelectedFile()` through queue

### getSelectedFiles

    public java.io.File[] getSelectedFiles()

  Maps `JFileChooser.getSelectedFiles()` through queue

### getTypeDescription

    public java.lang.String getTypeDescription(java.io.File file)

  Maps `JFileChooser.getTypeDescription(File)` through queue

### getUI

    public javax.swing.plaf.FileChooserUI getUI()

  Maps `JFileChooser.getUI()` through queue

### isDirectorySelectionEnabled

    public boolean isDirectorySelectionEnabled()

  Maps `JFileChooser.isDirectorySelectionEnabled()` through queue

### isFileHidingEnabled

    public boolean isFileHidingEnabled()

  Maps `JFileChooser.isFileHidingEnabled()` through queue

### isFileSelectionEnabled

    public boolean isFileSelectionEnabled()

  Maps `JFileChooser.isFileSelectionEnabled()` through queue

### isMultiSelectionEnabled

    public boolean isMultiSelectionEnabled()

  Maps `JFileChooser.isMultiSelectionEnabled()` through queue

### isTraversable

    public boolean isTraversable(java.io.File file)

  Maps `JFileChooser.isTraversable(File)` through queue

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener actionListener)

  Maps `JFileChooser.removeActionListener(ActionListener)` through queue

### removeChoosableFileFilter

    public boolean removeChoosableFileFilter(javax.swing.filechooser.FileFilter fileFilter)

  Maps `JFileChooser.removeChoosableFileFilter(FileFilter)` through queue

### rescanCurrentDirectory

    public void rescanCurrentDirectory()

  Maps `JFileChooser.rescanCurrentDirectory()` through queue

### resetChoosableFileFilters

    public void resetChoosableFileFilters()

  Maps `JFileChooser.resetChoosableFileFilters()` through queue

### setAccessory

    public void setAccessory(javax.swing.JComponent jComponent)

  Maps `JFileChooser.setAccessory(JComponent)` through queue

### setApproveButtonMnemonic

    public void setApproveButtonMnemonic(char c)

  Maps `JFileChooser.setApproveButtonMnemonic(char)` through queue

### setApproveButtonMnemonic

    public void setApproveButtonMnemonic(int i)

  Maps `JFileChooser.setApproveButtonMnemonic(int)` through queue

### setApproveButtonText

    public void setApproveButtonText(java.lang.String string)

  Maps `JFileChooser.setApproveButtonText(String)` through queue

### setApproveButtonToolTipText

    public void setApproveButtonToolTipText(java.lang.String string)

  Maps `JFileChooser.setApproveButtonToolTipText(String)` through queue

### setCurrentDirectory

    public void setCurrentDirectory(java.io.File file)

  Maps `JFileChooser.setCurrentDirectory(File)` through queue

### setDialogTitle

    public void setDialogTitle(java.lang.String string)

  Maps `JFileChooser.setDialogTitle(String)` through queue

### setDialogType

    public void setDialogType(int i)

  Maps `JFileChooser.setDialogType(int)` through queue

### setFileFilter

    public void setFileFilter(javax.swing.filechooser.FileFilter fileFilter)

  Maps `JFileChooser.setFileFilter(FileFilter)` through queue

### setFileHidingEnabled

    public void setFileHidingEnabled(boolean b)

  Maps `JFileChooser.setFileHidingEnabled(boolean)` through queue

### setFileSelectionMode

    public void setFileSelectionMode(int i)

  Maps `JFileChooser.setFileSelectionMode(int)` through queue

### setFileSystemView

    public void setFileSystemView(javax.swing.filechooser.FileSystemView fileSystemView)

  Maps `JFileChooser.setFileSystemView(FileSystemView)` through queue

### setFileView

    public void setFileView(javax.swing.filechooser.FileView fileView)

  Maps `JFileChooser.setFileView(FileView)` through queue

### setMultiSelectionEnabled

    public void setMultiSelectionEnabled(boolean b)

  Maps `JFileChooser.setMultiSelectionEnabled(boolean)` through queue

### setSelectedFile

    public void setSelectedFile(java.io.File file)

  Maps `JFileChooser.setSelectedFile(File)` through queue

### setSelectedFiles

    public void setSelectedFiles(java.io.File[] file)

  Maps `JFileChooser.setSelectedFiles(File[])` through queue

### showDialog

    public int showDialog(java.awt.Component component,
                          java.lang.String string)

  Maps `JFileChooser.showDialog(Component, String)` through queue

### showOpenDialog

    public int showOpenDialog(java.awt.Component component)

  Maps `JFileChooser.showOpenDialog(Component)` through queue

### showSaveDialog

    public int showSaveDialog(java.awt.Component component)

  Maps `JFileChooser.showSaveDialog(Component)` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD